<div class="row-flex header">
    <div class="cell padded rw-2 center">
        {{'Saison'|trans({}, 'global')}}
    </div>
    <div class="cell padded rw-6 center">
        {{'Stadt'|trans({}, 'game')}}
    </div>
    <div class="cell padded rw-2 center">
        {{'Tage'|trans({}, 'global')}}
    </div>
    <div class="cell padded rw-2 center">
        {{'Punkte'|trans({}, 'global')}}
    </div>
</div>
<div class="town-container">
    {#@var incarnation \App\Entity\CitizenRankingProxy #}
    {% for incarnation in towns %}
        <div class="row-flex stretch {% if incarnation.town.type.name == 'panda' %}hardcore{% elseif incarnation.town.type.name == 'custom' %}custom{% endif %}">
            <div class="cell padded rw-2 center season bold">
                {% if incarnation.town.season is null %}
                    --
                {% elseif incarnation.town.season.number == 0 %}
                    {{ incarnation.town.language|upper }}-{{ incarnation.town.season.subNumber }}
                {% else %}
                    {{ incarnation.town.season.number }}
                {% endif %}
            </div>
            <div class="cell padded rw-6 center town-name">
                <div class="pointer" x-ajax-href="{{ path('soul_view_town',  {sid: app.user == incarnation.user ? 'me' : incarnation.user.id, idtown: incarnation.town.id}) }}" x-ajax-target="default">
                    {% if incarnation.town.type.name == 'panda' %}
                        <div class="inline-block">
                            <img src="{{ asset('build/images/soul/r_cannib.gif') }}" alt="" />
                            <div class="tooltip">{{ 'Pandämoniumsstadt'|trans({}, 'soul') }}</div>
                        </div>
                    {% elseif incarnation.town.type.name == 'custom' %}
                        <div class="inline-block">
                            <img src="{{ asset('build/images/soul/item_chair.gif') }}" alt="" />
                            <div class="tooltip">{{ 'Privatstadt'|trans({}, 'soul') }}</div>
                        </div>
                    {% endif %}
                    {{ incarnation.town.name }}
                </div>
                <div x-town-id="{{ incarnation.id }}" class="comment {% if not editable %}read-only{% else %}pointer{% endif %}"><em>{% if not incarnation.comment is empty %}{{incarnation.comment}}{% elseif editable %}<span class="add-comment">{{'Einen Kommentar hinzufügen'|trans({}, 'soul')}}</span>{% endif %}</em></div>
            </div>
            <div class="cell padded rw-2 center town-days bold">
                {{ incarnation.day }}
                {% if incarnation.town.town is not null and incarnation.town.town.aliveCitizen %}
                    <span>
                    <img src="{{asset('build/images/icons/small_new.gif')}}" />
                    <div class="tooltip">
                        {{ 'Es sind in dieser Stadt noch ein paar Bürger übrig...'|trans({}, 'soul') }}
                    </div>
                </span>
                {% endif %}
            </div>
            <div class="cell padded rw-2 center town-points bold">
                +{{incarnation.points}}
            </div>
        </div>
    {% else %}
        <div class="row">
            <div class="empty">
                {{'Es wurde keine Stadt gefunden...'|trans({}, 'global')}}
            </div>
        </div>
    {% endfor %}
</div>

<script>
    (function() {
        {% if editable %}
            const add_comment = function(id) {
                let comment = null;
                let valid = false;
                comment = window.prompt("{{ 'Was sagst du dazu?'|trans({},'game')|e('js') }}", "");
                if (comment === null) valid = false;
                else {
                    valid = !(comment === "")
                }

                if (!valid) return;

                $.ajax.easySend( '{{ path('soul_add_comment') }}', {id: id, comment: comment},
                    function () {
                        $.ajax.load(null, '{{ path('soul_me') }}', true);
                    } );
            };

            let buttons = document.querySelectorAll('[x-town-id]');
            for (let i = 0; i < buttons.length; i++)
                buttons[i].addEventListener('click', function(e) { e.preventDefault(); e.stopPropagation(); add_comment( this.getAttribute('x-town-id') ); });
        {% endif %}
    })();
</script>